Package com.avaya.clientservices.collaboration.whiteboard

## Class BaseToolHandler<T extends android.view.View & ZoomableSharingView>

- java.lang.Object
- - com.avaya.clientservices.collaboration.whiteboard.BaseToolHandler<T>

- All Implemented Interfaces:
    `DrawingHandler.ToolHandler`

      public abstract class BaseToolHandler<T extends android.view.View & ZoomableSharingView>
      extends java.lang.Object
      implements DrawingHandler.ToolHandler

  Base class for handling drawing tool events (ex. move, draw, delete)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseToolHandler​(DrawingView<T> drawingView, DrawingView.DrawingListener drawingListener)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `drawShape​(java.util.List<Point> points, int action)` | Method is called when touch event (ACTION_DOWN, ACTION_MOVE) occurs on view.
    `void` | `endDrawingShape​(java.util.List<Point> points)` | Method is called when ACTION_UP event occurs on view.
    `void` | `toolChanged​(DrawingTool drawingTool)` | Method is called when some drawing tool is changed.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseToolHandler

          public BaseToolHandler​(DrawingView<T> drawingView,
                                 DrawingView.DrawingListener drawingListener)

  - ### Method Detail

    - #### drawShape

          public void drawShape​(java.util.List<Point> points,
                                int action)

      Method is called when touch event (ACTION_DOWN, ACTION_MOVE) occurs on view. Method is responsible for creating shape drawable and drawing it. Although shape data is sent to listener for create and update.
      Specified by:
        `drawShape` in interface `DrawingHandler.ToolHandler`
      Parameters:
        `points` - list of touch points
        `action` - ACTION_DOWN, ACTION_MOVE

    - #### endDrawingShape

          public void endDrawingShape​(java.util.List<Point> points)

      Method is called when ACTION_UP event occurs on view. Method is responsible for finishing creating shape.
      Specified by:
        `endDrawingShape` in interface `DrawingHandler.ToolHandler`
      Parameters:
        `points` - list of result points

    - #### toolChanged

          public void toolChanged​(DrawingTool drawingTool)

      Method is called when some drawing tool is changed.
      Specified by:
        `toolChanged` in interface `DrawingHandler.ToolHandler`
      Parameters:
        `drawingTool` - changed tool.